hardware-customers-patch-one

Source

  • Repository: jef-systems/jef-hardware-backend

  • Source Run ID: 25090787814

  • Source SHA: 444376867c764658b4ed0286bc44ff0ac8c80995

  • Module: hardware

  • Documentation Scope: async

  • Lambda: jef-hardware-patch-3

Endpoint

  • API Name: jef-hardware

  • Action Name: patch

  • Method: PATCH

  • Scope Label: Async

  • Resource Path: /hardware-customers-patch-one

  • Complete Endpoint: https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-patch-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-hardware-patch-3

  • curl payload mode: json_body

API Gateway Description

Function: jef-hardware-patch-3
Module: jef-hardware
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /hardware-customers-patch-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-hardware-customers

Payload Example:
- pk: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001
- customer_id: 8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001
- customer_name: Ramon Builders Supply
- contact_number: 09171234567
- email: [email protected]
- address: Rizal Street, Poblacion, Bago City, Negros Occidental
- government_id_type: Business Permit
- government_id_number: BP-2026-0001
- active: True
- updated_at: 2026-04-24T09:00:00+08:00

Payload Schema:
- pk: string-{customer_id}
- customer_id: string
- customer_name: string
- contact_number: string
- email: string
- address: string
- government_id_type: string
- government_id_number: string
- active: boolean
- updated_at: string

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001",
  "customer_id": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001",
  "customer_name": "Ramon Builders Supply",
  "contact_number": "09171234567",
  "email": "[email protected]",
  "address": "Rizal Street, Poblacion, Bago City, Negros Occidental",
  "government_id_type": "Business Permit",
  "government_id_number": "BP-2026-0001",
  "active": "True",
  "updated_at": "2026-04-24T09:00:00+08:00"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X PATCH "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001\", \"customer_id\": \"8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001\", \"customer_name\": \"Ramon Builders Supply\", \"contact_number\": \"09171234567\", \"email\": \"[email protected]\", \"address\": \"Rizal Street, Poblacion, Bago City, Negros Occidental\", \"government_id_type\": \"Business Permit\", \"government_id_number\": \"BP-2026-0001\", \"active\": true, \"updated_at\": \"2026-04-24T09:00:00+08:00\"}"

PowerShell curl

curl.exe -X PATCH "https://24jo9zrosl.execute-api.ap-southeast-1.amazonaws.com/prod/hardware-customers-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001", "customer_id": "8f4dbfea-7d7d-4d90-ae89-58f4e8f1a001", "customer_name": "Ramon Builders Supply", "contact_number": "09171234567", "email": "[email protected]", "address": "Rizal Street, Poblacion, Bago City, Negros Occidental", "government_id_type": "Business Permit", "government_id_number": "BP-2026-0001", "active": true, "updated_at": "2026-04-24T09:00:00+08:00"}'